## hackaround for 
# checking build system type... Invalid configuration `alphaev67-unknown-linux-gnu': machine `alphaev67-unknown' not recognized

%define _host %{_target_platform}
%define _build %{_target_platform}

%define snap 0.17

%define glib2_version 2.0.0
%define pango_version 1.0.99
%define gtk2_version 2.0.3
%define gconf2_version 1.2.0
%define gnome_vfs2_version 2.0.0
%define libgnomeui_version 2.0.0
%define libgnome_version 2.0.0
%define librep_version 0.16.1

Name: rep-gtk
Version: 0.17
Release: 6
Epoch: 1
Summary: GTK+ bindings for librep Lisp environment.
Requires: librep >= 1:%{librep_version}, gtk2 >= %{gtk2_version}
Copyright: GPL
Group: Development/Languages
#Source: http://download.sourceforge.net/rep-gtk/rep-gtk-%{version}.tar.gz
Source: ftp://ftp.gnome.org/pub/GNOME/pre-gnome2/sources/rep-gtk/rep-gtk-%{snap}.tar.bz2
URL: http://rep-gtk.sourceforge.net/
Buildroot: /%{_tmppath}/%{name}-root

BuildRequires: librep-devel >= %{librep_version}
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: pango-devel >= %{pango_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: GConf2-devel >= %{gconf2_version}
BuildRequires: gnome-vfs2-devel >= %{gnome_vfs2_version}
BuildRequires: libgnomeui-devel >= %{libgnomeui_version}
BuildRequires: libgnome-devel >= %{libgnome_version}

Obsoletes: rep-gtk-libglade
Provides: rep-gtk-libglade
Obsoletes: rep-gtk-gnome
Provides: rep-gtk-gnome

%description
This is a binding of GTK+ for the librep Lisp interpreter. It is based
on Marius Vollmer's guile-gtk package (initially version 0.15, updated
to 0.17), with a new glue-code generator.

%prep
%setup -n rep-gtk-%{snap}

%build

%configure
make %{?_smp_mflags} host_type=%{_target_platform}

%install
rm -rf $RPM_BUILD_ROOT
make install \
    host_type=%{_target_platform} \
    installdir=$RPM_BUILD_ROOT%{_libexecdir}/rep/%{_target_platform}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README README.guile-gtk BUGS ChangeLog gtk.defs gdk.defs
%doc libglade.defs examples/test-libglade examples/simple.glade
%doc examples/rep-ui examples/rep-ui.glade
%doc gnome*.defs gdk-pixbuf.defs libglade.defs
%doc examples/gnome-test examples/canvas-test

%{_libexecdir}/rep/%{_target_platform}/gui

%changelog
* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Feb 25 2003 Elliot Lee <sopwith@redhat.com>
- Fix #73985

* Fri Feb 14 2003 Havoc Pennington <hp@redhat.com> 1:0.17-4
- remove Xft buildreq

* Tue Feb 11 2003 Bill Nottingham <notting@redhat.com>
- add epoch dep (#74568)

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Dec 12 2002 Havoc Pennington <hp@redhat.com>
- 0.17
- remove autoconf dependency

* Sat Jul 27 2002 Havoc Pennington <hp@redhat.com>
- rebuild for new librep
- hack around weird build failure on alpha

* Mon Jul 15 2002 Havoc Pennington <hp@redhat.com>
- remove symlinks that no longer seem to be used #68511

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jun 19 2002 Havoc Pennington <hp@redhat.com>
- 2002-06-11 snapshot
- fix up some requires/buildreqs

* Tue May 28 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue May 28 2002 Havoc Pennington <hp@redhat.com>
- 2002-05-24 snapshot
- get rid of the subpackages

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Jan 28 2002 Havoc Pennington <hp@redhat.com>
- rebuild in rawhide

* Sun Oct 28 2001 Havoc Pennington <hp@redhat.com>
- rebuild for librep 0.15.1

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.
- Use _smp_mflags macro if applicable

* Mon Apr 30 2001 Jonathan Blandford <jrb@redhat.com>
- rebuild

* Wed Apr 18 2001 Jonathan Blandford <jrb@redhat.com>
- rebuild

* Thu Dec 14 2000 Havoc Pennington <hp@redhat.com>
- fix a couple symlinks to be relative 

* Tue Dec 5 2000 Havoc Pennington <hp@redhat.com>
- add missing stuff to file list

* Tue Dec 5 2000 Havoc Pennington <hp@redhat.com>
- Upgrade to 0.15
- remove obsolete typo-fix patch
- add librep-devel to build prereq

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jul 10 2000 Matt Wilson <msw@redhat.com>
- 0.13

* Sun Jul  2 2000 Matt Wilson <msw@redhat.com>
- rep-gtk 0.12

* Sun Jun 18 2000 Matt Wilson <msw@redhat.com>
- use %%{_target_platform}

* Sat Jun  17 2000 Havoc Pennington <hp@redhat.com>
- librep 0.12

* Tue Jun 13 2000 John Harper <john@dcs.warwick.ac.uk>
- use better macros

* Fri Mar 10 2000 Bill Nottingham <notting@redhat.com>
- update to 0.9.1

* Mon Jan 10 2000 Bill Nottingham <notting@redhat.com>
- update to 0.8

* Wed Nov 17 1999 Michael K. Johnson <johnsonm@redhat.com>
- include John's REP_GTK_DONT_INITIALIZE patch

* Fri Sep 17 1999 John Harper <john@dcs.warwick.ac.uk>
- specify installdir when installing

* Tue Sep 14 1999 Aron Griffis <agriffis@bigfoot.com>
- 0.4 spec file update: added buildroot
